Search Queries
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/search \
--header 'x-cg-pro-api-key: <api-key>'{
"coins": [
{
"id": "ethereum",
"name": "Ethereum",
"api_symbol": "ethereum",
"symbol": "ETH",
"market_cap_rank": 2,
"thumb": "https://coin-images.coingecko.com/coins/images/279/thumb/ethereum.png",
"large": "https://coin-images.coingecko.com/coins/images/279/large/ethereum.png"
}
],
"exchanges": [
{
"id": "uniswap_v3",
"name": "Uniswap V3 (Ethereum)",
"market_type": "spot",
"thumb": "https://coin-images.coingecko.com/markets/images/665/thumb/uniswap-v3.png",
"large": "https://coin-images.coingecko.com/markets/images/665/large/uniswap-v3.png"
}
],
"icos": [],
"categories": [
{
"id": "ethereum-pos-iou",
"name": "Ethereum PoS IOU"
}
],
"nfts": [
{
"id": "ens-ethereum-name-service",
"name": "ENS: Ethereum Name Service",
"symbol": "ENS",
"thumb": "https://coin-images.coingecko.com/nft_contracts/images/373/thumb/ens-ethereum-name-service.png"
}
]
}Utility
Search Queries
To search for coins, categories and markets listed on CoinGecko
GET
/
search
Search Queries
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/search \
--header 'x-cg-pro-api-key: <api-key>'{
"coins": [
{
"id": "ethereum",
"name": "Ethereum",
"api_symbol": "ethereum",
"symbol": "ETH",
"market_cap_rank": 2,
"thumb": "https://coin-images.coingecko.com/coins/images/279/thumb/ethereum.png",
"large": "https://coin-images.coingecko.com/coins/images/279/large/ethereum.png"
}
],
"exchanges": [
{
"id": "uniswap_v3",
"name": "Uniswap V3 (Ethereum)",
"market_type": "spot",
"thumb": "https://coin-images.coingecko.com/markets/images/665/thumb/uniswap-v3.png",
"large": "https://coin-images.coingecko.com/markets/images/665/large/uniswap-v3.png"
}
],
"icos": [],
"categories": [
{
"id": "ethereum-pos-iou",
"name": "Ethereum PoS IOU"
}
],
"nfts": [
{
"id": "ens-ethereum-name-service",
"name": "ENS: Ethereum Name Service",
"symbol": "ENS",
"thumb": "https://coin-images.coingecko.com/nft_contracts/images/373/thumb/ens-ethereum-name-service.png"
}
]
}Results are sorted by market cap in descending order.
SDK Examples
const response = await client.search.get({
query: 'bitcoin',
});
console.log(JSON.stringify(response, null, 2));
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Query Parameters
Search query
Was this page helpful?
⌘I

